Bug 832372 - [Doc]Problems about manual and help of virsh dompmsuspend command
[Doc]Problems about manual and help of virsh dompmsuspend command
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
Unspecified Unspecified
medium Severity high
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 05:24 EDT by hongming
Modified: 2013-02-21 02:17 EST (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.10.0-0rc0.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:17:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hongming 2012-06-15 05:24:22 EDT
Description of problem:
There are some problems about manual and help of virsh dompmsuspend command.Please pay attention to the content of brackets  

Version-Release number of selected component (if applicable):
libvirt-0.9.10-21.el6.x86_64

How reproducible:
100% 

Steps to Reproduce:
1.#virsh help dompmsuspend

  NAME
    dompmsuspend - suspend a domain for a given time duration ( It is described incorrect ,Please refer to manual )

  SYNOPSIS
    dompmsuspend <domain> [--duration <number>] [--target <string>]

2.#man virsh

       dompmsuspend domain-id target (It don't include --duration parameter description)
           Suspend a running domain into one of these states (possible target values):
               mem equivallent of S3 ACPI state
               disk equivallent of S4 ACPI state
               hybrid RAM is saved to disk but not powered off

3.# virsh dompmsuspend rhel6u31 --target mem
error: Domain rhel6u31 could not be suspended
error: argument unsupported: QEMU guest agent is not configured
(Manual and help should describe the prerequisite -- Configure QEMU guest agent in guest)


4.# virsh dompmsuspend rhel6u31 --duration 10 --target mem
error: Domain rhel6u31 could not be suspended
error: argument unsupported: Duration not supported. Use 0 for now
(Duration not supported is inconsistent with help content )


  
Actual results:


Expected results:
Please pay attention to the content of brackets

Additional info:
Comment 2 Peter Krempa 2012-07-11 04:16:30 EDT
Documentation updated upstream:

commit e16d434da75430b05545f4d85d156f36b1ce51d1
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Thu Jun 21 17:59:27 2012 +0200

    virsh: Clarify documentation for virsh dompmsuspend command
    
    Clarify the docs to make more clear what this command does and that it
    requires a guest agent running in the guest.
Comment 4 yuping zhang 2012-07-24 03:03:32 EDT
Test this issue with libvirt-0.9.13-3.el6.x86_64.

# virsh help dompmsuspend
  NAME
    dompmsuspend - suspend a domain for a given time duration

  SYNOPSIS
    dompmsuspend <domain> [--duration <number>] [--target <string>]

  DESCRIPTION
    Suspend a running domain for a given time duration.

  OPTIONS
    [--domain] <string>  domain name, id or uuid
    --duration <number>  duration in seconds
    --target <string>  mem(Suspend-to-RAM), disk(Suspend-to-Disk), hybrid(Hybrid-Suspend)

#man virsh
....
     dompmsuspend domain-id target
           Suspend a running domain into one of these states (possible target values):
               mem equivallent of S3 ACPI state
               disk equivallent of S4 ACPI state
               hybrid RAM is saved to disk but not powered off

No update for dompmsuspend in manual and help.So change the bug status to ASSIGNED.
Comment 5 Peter Krempa 2012-07-24 04:15:51 EDT
The change was pushed after the 0.9.13 release so this isn't fixed in the tested build yet (libvirt-0.9.13-3.el6). Moving to POST again to be picked up with a rebase to the next planned version (0.9.14).
Comment 6 Dave Allan 2012-07-24 11:35:30 EDT
Removing FailedQA flag as this BZ should not have been tested as it was in POST, not MODIFIED.
Comment 7 Dave Allan 2012-07-24 11:36:21 EDT
My bad, it was ON_QA; returning the FailedQA flag.
Comment 8 hongming 2012-08-06 05:29:57 EDT
Verify it using libvirt-0.10.0-0rc0.el6.x86_64. The result is expected. So move its status to VERIFIED.

1. # virsh help dompmsuspend
  NAME
    dompmsuspend - suspend a domain gracefully using power management functions

  SYNOPSIS
    dompmsuspend <domain> [--duration <number>] [--target <string>]

  DESCRIPTION
    Suspends a running domain using guest OS's power management. (Note: This requires a guest agent configured and running in the guest OS).

  OPTIONS
    [--domain] <string>  domain name, id or uuid
    --duration <number>  duration in seconds
    --target <string>  mem(Suspend-to-RAM), disk(Suspend-to-Disk), hybrid(Hybrid-Suspend)

2. # man virsh 

dompmsuspend domain target [--duration]
Suspend a running domain into one of these states (possible target values):
        mem equivallent of S3 ACPI state
        disk equivallent of S4 ACPI state
        hybrid RAM is saved to disk but not powered off

The --duration argument specifies number of seconds before the domain is woken up after it was suspended (see also dompmwakeup). Default is 0 for unlimited suspend time. (This feature isn’t currently supported by any hypervisor driver and 0 should be used.).

Note that this command requires a guest agent configured and running in the domain’s guest OS.
Comment 9 errata-xmlrpc 2013-02-21 02:17:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.